static char rcsid[]="$Id: misc.c,v 1.1 92/10/20 18:50:18 mos Exp $";

/* This file is (C)opyright Mauri "mos" Sahlberg, Helsinki 1992
   See LICENSE distributed with this program to see your rights
   concerning this file.

   Author: Mauri "mos" Sahlberg
   Date  : ?.?.1991
  
   Purpose: Misc functions
 
   Last edit: 
   $Date: 92/10/20 18:50:18 $
   $Author: mos $

   History: 
   $Log:	misc.c,v $
 * Revision 1.1  92/10/20  18:50:18  mos
 * Initial revision
 * 

*/ 
#include <stdio.h>
#include <string.h>
#include <ctype.h>

int read_string(FILE *src,char *s) 
{
  char m;
  int  ehto=0;
  int laskuri=0;
  char e;

  while(!ehto) {
    m = getc(src);	
    if (feof(src)) return -1;	
    if ((isprint(m)) && (!isspace(m))) ehto =1;
  }
  if(m=='_') m=' '; 
  s[laskuri++]=m;
  while((m = getc(src))!=',') { 
    if (m=='_') m=' ';
    if (m=='\\') {
      e = getc(src);
      if(e == '0') break;
      ungetc(e,src);	
    };
    if (isprint(m)) s[laskuri++]=m;    
    if (feof(src)) return -1;
  }	
  s[laskuri]='\0';
  return laskuri;
}

char *get_word(FILE *src)
{
  int m=0;
  static char puskuri[80];
  int i=0;

  puskuri[0]='\0';
  while(1) {
    if(feof(src)) return NULL;
    m = fgetc(src);
    if(m == ' ' || m == '\n' || m == '\t') 
      continue;
    break;
  }

  puskuri[i++]=m;

  while(1) {
    if(feof(src)) 
      break;
    m = fgetc(src);
    if(m == ' ' || m == '\n' || m == '\t')
      break;
    if(m == '_') 
      m = ' ';
    if(i == 78)
      break;
    puskuri[i++] = m;
  }

  puskuri[i] = '\0';
  return puskuri;
}     


