/* (C)opyrigth by Mauri Sahlberg 1990,1991,1992
   This file is distributed under following conditions:
   - You may freely copy and distribute this program as long as it
     is distributed in original form.
   - This header may not be modified and must not be removed.
   - No warranty is given. If this program nukes your machine, I plead
     not guilty. Any kind of damage this program does to your software,
     hardware or your person is on your own responsibility.
   - If you wish to include this program or its source as part of
     comercial package you should ask my permission to do so.
   - If you find this program usefull, you should at least send me a postcard.
     Feedback is always welcome. (You may also buy me beer :-)		
*/

/*
Program   : Rolechar-Developer v6.0
File      : skmagi.c
Last edit : 10/20/92
Created   :
Version   : 1.2

History   :

Does      :
*/
#include <stdlib.h>
#include <curses.h>

#include <paths.h>

/* Companion I, Skill at arms and skill at magic. 
   Player is allowed to roll twice from this table for
   one background point. Previous roll is ignored. 
*/

extern char *get_word(FILE *);

char *skmagi(int *statti, int *bonus)
{
  char magic[40][40];		/* 39 differen magic specialities. */
  int  mbonus[3];		/* magic bonuses. */
  int  mrajat[6];		/* ranges for them. */
  int  i;			/* loop encounter. */
  FILE *src=NULL;		/* Source filehandle, for tables. */

  int rolli=0;			/* The die. */
  int sm=0;			/* Stat for magic. */
  int b=0;			/* Bonus. */
  int m=0;			/* Magic bonus. */
  char snames[10][3]={"CO","SD","AG","MQ","RE","ST","QU","PR","IN","EM"};
  char *a;

  src = fopen(SKILLATM,"r");
  if(!src) {
    perror("skmagi.c/fopen()");
    exit(0);
  }

  /* Skill at magic. */
  for(i=1;i<40;i++)  
    sprintf(magic[i],"%s",get_word(src));
  
  /* Bonuses. */
  for(i=0;i<3;i++) {
    a= get_word(src);
    mrajat[i]=atoi(a);
    a= get_word(src);      
    mbonus[i]=atoi(a);
  }	  
  fclose(src);

  rolli = sattuma(1,100);

  if(rolli<40) {
    move(20,0); 
    printw("You got:");
    attron(A_BOLD);
    printw("%s. ",magic[rolli]);
    attroff(A_BOLD);
    printw("Press any key to continue.");
    refresh();
    getch();
    move(20,0);
    clrtoeol();
    refresh();
    return magic[rolli];
  }
  else {
    m = 0;
    while(rolli>mrajat[m]) m++;
    b = mbonus[m];
    sm = sattuma(0,4);
    switch(sm) {
      case 0: 
	sm = 3;
        break;
      case 1:
        sm = 4;
        break;
      case 2:
        sm = 7;
        break;
      case 3:
        sm = 8;
        break;
      case 4:
        sm = 9;
        break;
    }
    move(20,0); 
    printw("You got:");
    attron(A_BOLD);
    printw("+%i bonus at %s. ",mbonus[m],snames[sm]);
    attroff(A_BOLD);
    printw("Press any key to continue.");
    refresh();
    getch();
    move(20,0);
    clrtoeol();
    refresh();
    *bonus = mbonus[m];
    *statti = sm;
    return NULL;	        	
  }
}


#ifdef MAIN
void main()
{
  int a,b;

  initscr();
  siemen();
  skmagi(&a,&b);
  endwin();
}
#endif  

