/* (C)opyrigth by Mauri Sahlberg 1990,1991,1992
   This file is distributed under following conditions:
   - You may freely copy and distribute this program as long as it
     is distributed in original form.
   - This header may not be modified and must not be removed.
   - No warranty is given. If this program nukes your machine, I plead
     not guilty. Any kind of damage this program does to your software,
     hardware or your person is on your own responsibility.
   - If you wish to include this program or its source as part of
     comercial package you should ask my permission to do so.
   - If you find this program usefull, you should at least send me a postcard.
     Feedback is always welcome. (You may also buy me beer :-)		
*/

/*
Program   : Rolechar-Developer v6.0
File      : misc_info.c
Last edit : 10/20/92
Created   :
Version   : 1.2

History   :

Does      :
*/
#include <curses.h>
#include "ruutu.h"
#include "misc_info.h"
#include "mform.h"

void put_misc_info(struct misc_info *misc_info)
{
  char teksti[80];
  int tmp;
  int rivi=0;

  clear();
  move(0,0);
  refresh();
  move(6,9);
  printw("Enter");
  move(6,15);
  printw("your");
  move(6,20);
  printw("height");
  move(6,27);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(6,27);
  printw("    ");
  move(6,31);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(6,32);
  printw("'");
  move(6,34);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(6,34);
  printw("    ");
  move(6,38);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(6,39);
  printw("''.");
  move(8,9);
  printw("Enter");
  move(8,15);
  printw("your");
  move(8,20);
  printw("weight");
  move(8,27);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(8,27);
  printw("      ");
  move(8,33);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(8,34);
  printw("lbs.");
  move(11,9);
  printw("Your");
  move(11,14);
  printw("social-class");
  move(11,27);
  printw("is:");
  move(11,31);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(11,31);
  printw("                     ");
  move(11,52);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(14,9);
  printw("And");
  move(14,13);
  printw("therefore");
  move(14,23);
  printw("you");
  move(14,27);
  printw("will");
  move(14,32);
  printw("get");
  move(14,36);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(14,36);
  printw("     ");
  move(14,41);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(14,42);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(14,42);
  printw("    ");
  move(14,46);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(14,46);
  printw("'s.");
  move(22,0);
  attron(A_BOLD);
  move(22,0);
  printw("Glue V1.0");
  move(22,9);
  attroff(A_BOLD);
  move(22,10);
  attron(A_BOLD);
  move(22,10);
  printw("(misc information)");
  move(22,28);
  attroff(A_BOLD);
  refresh();
  move(6,27);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(6,27);
  printw("%3i",misc_info->feet);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(6,34);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(6,34);
  printw("%3i",misc_info->inches);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(8,27);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(8,27);
  printw("%4i",misc_info->lbs);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(11,31);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(11,31);
  printw("%-22s",misc_info->sclass);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(14,36);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(14,36);
  printw("%3i",misc_info->sgp);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  move(14,42);
  attron(A_BOLD);
  attron(A_REVERSE);
  move(14,42);
  printw("%2s",misc_info->laji);
  attroff(A_BOLD);
  attroff(A_REVERSE);
  rivi = 0;
  tmp =0;
  refresh();
}

struct misc_info *get_misc_info(struct misc_info *misc_info)
{
  char teksti[80];
  int tmp=0;
  int rivi = 0;
  int at = A_REVERSE | A_BOLD;
  int ko = 0;
  char *t;

  attron(A_BOLD);
  attron(A_REVERSE);
  while(tmp != 27) {
    ko = 0;
    switch(rivi) {
      case 0:
        sprintf(teksti,"%3i",misc_info->feet);
        if(strlen(teksti) > 4) 
          teksti[4]='\0';
        misc_info->feet = (int)get_integer(27,6,4,&tmp,at,teksti);
        break;
      case 1:
        sprintf(teksti,"%3i",misc_info->inches);
        if(strlen(teksti) > 4) 
          teksti[4]='\0';
        misc_info->inches = (int)get_integer(34,6,4,&tmp,at,teksti);
        break;
      case 2:
        sprintf(teksti,"%4i",misc_info->lbs);
        if(strlen(teksti) > 6) 
          teksti[6]='\0';
        misc_info->lbs = (int)get_integer(27,8,6,&tmp,at,teksti);
        break;
    }
    switch(tmp) {
      case KEY_DOWN:
        rivi++;
        if(rivi > 2)
          rivi = 0;
        break;
      case KEY_UP:
        rivi--;
        if(rivi < 0)
          rivi = 2;
        break;
      case KEY_EXIT:
        attroff(A_BOLD);
        attroff(A_REVERSE);
        return misc_info;
      case 0:
        rivi++;
        if(rivi > 2)
          rivi =0;
        break;
    }
  }
}
