/* (C)opyrigth by Mauri Sahlberg 1990,1991,1992
   This file is distributed under following conditions:
   - You may freely copy and distribute this program as long as it
     is distributed in original form.
   - This header may not be modified and must not be removed.
   - No warranty is given. If this program nukes your machine, I plead
     not guilty. Any kind of damage this program does to your software,
     hardware or your person is on your own responsibility.
   - If you wish to include this program or its source as part of
     comercial package you should ask my permission to do so.
   - If you find this program usefull, you should at least send me a postcard.
     Feedback is always welcome. (You may also buy me beer :-)		
*/

/*
Program   : Rolechar-Developer v6.0
File      : %M%
Last edit : %H%
Created   : 29-July-1992
Version   : %I%

History   : I hate strtok!

Does      : Does strtok!
*/

#include <stdlib.h>
#include <string.h>
#include <stdio.h>

char *mstrtok(char *src, char *delim)
{
  static char 		buffer[100];
  static int		len=0;
  static int		pos=0;
  int			dlen=0;
  int			i=0;
  static char		*startpos=NULL;
  int			in=0;
  int			tpos=0;


  if(!delim) 			/* Default delimeter. */
    delim = " \n\t";

  dlen = strlen(delim);		/* Length of delimeter-string. */

  if(src) {			/* Use a new string. */
    len = 0;			
    pos = 0;
    len = strlen(src);		/* Length of the string. */
    len = len > 100 ? 0: len; 	/* Too big, or empty string. */
    if(!len)
      return NULL;		
    sprintf(buffer,"%s",src);   /* Initialize buffer. */
    startpos = buffer;
  }

  startpos = buffer + pos;
  if(pos >= len)		/* End of buffer? */
    return NULL;

  for(tpos=0;pos < len; pos++,tpos++) {	/* Find startposition. */
    in = 1;			/* Already in the string? */
    for(i=0;i < dlen;i++)	/* Check if delimeter. */
      if(startpos[tpos] == delim[i] || !startpos[tpos]) {	
	in = 0;			/* Yep. */
	break;
      }
    if(in)			/* Found start. */
      break;
  }

  if(!in || (pos == len))	/* No start found. */
    return NULL;

  startpos += tpos;		/* Calculate start. */

  pos++;			/* Get next. */
  if(pos == len)		/* No other chars. */
    return startpos;

  for(tpos=1;pos < len;pos++,tpos++) {	/* Search end. */
    in = 0;
    for(i=0;i<dlen;i++)		/* Delimeter? */
      if(startpos[tpos] == delim[i]) {
	in = 1;			/* Yep. */
	break;
      }
    if(in)
      break;
  }

  if(pos < len) 		/* Found before end? */
    startpos[tpos] = '\0';		/* Jep. */
  
  return startpos;		/* Return string. */
}     
